Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 600746 - sci-libs/scotch: useless USE=tools description
Summary: sci-libs/scotch: useless USE=tools description
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrick Lauer
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 600712
  Show dependency tree
 
Reported: 2016-11-25 08:20 UTC by Michał Górny
Modified: 2020-09-18 16:47 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-11-25 08:20:37 UTC
local:tools:sci-libs/scotch: Build and install extra exec tools

It would be really nice if this could be extended to state what tools are installed, i.e. letting the user choose without having to conduct additional research.
Comment 1 Michael Orlitzky gentoo-dev 2020-05-07 01:23:54 UTC
Since I just did this research:

USE=tools installs all of the graph, mesh, architecture, mapping/ordering, and output handling programs documented in the "Programs" section of the Scotch User's Guide.
Comment 2 Larry the Git Cow gentoo-dev 2020-09-18 16:47:36 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7ad5fdd1f7c43336124eb15683d80e5ed593648

commit d7ad5fdd1f7c43336124eb15683d80e5ed593648
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-09-18 16:45:55 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-09-18 16:45:55 +0000

    sci-libs/scotch: explain USE=tools
    
    Thanks-to: Michael Orlitzky <mjo@gentoo.org>
    Closes: https://bugs.gentoo.org/600746
    Package-Manager: Portage-3.0.4, Repoman-3.0.1
    Signed-off-by: Sam James <sam@gentoo.org>

 sci-libs/scotch/metadata.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)